#ifndef CARS_H
#define CARS_H

typedef struct
{
	Rectangle rect;
	int texture_frame;
	int speed;
	int speed_min;
	int speed_max;
	int direction;
	Color colour;
	int is_active;
} car;

#ifndef CAR_COUNT
#define CAR_COUNT 30
#endif

extern car cars[CAR_COUNT];

void process_cars(void);
void setup_cars(void);

#endif
